/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Prog1;

public class Fibonachi {
  public static long[] fibo(int a) {
        long first = 0;
        long second = 1;
        long end = a;
        long[] arr = new long[a];
        if (end == 1) {
            arr[0] = first;
        } else if (end > 1) {
            arr[0] = first;
            arr[1] = second;
        }

        for (int i = 0; i < end - 2; i++) {
            long result = first + second;
            arr[i+2] = result;
            first = second;
            second = result;
        }

        return arr;
      }

  }

}
